float lines( in vec2 uv )
{
	vec2 p = uv-vec2(0.5);
	float r = length(p);
	float t = atan(p.y,p.x);
	float l = clamp(r*pow(max(0.,cos(t*40.)+0.01*cos(t*15.)),4.),0.,1.)-pull;
	l = pow(max(l*3.,0.),0.5);
	return 1.-l;
}

void main()
{
	vec4 res = texture(InputTexture,TexCoord);
	FragColor = vec4(res.rgb*lines(TexCoord),1.0);
}
